pcl::ISMPeak Struct Reference

This struct is used for storing peak. More...

`#include <pcl/recognition/implicit_shape_model.h>`

## Public Attributes

| PCL_ADD_POINT4D
| Point were this peak is located. More...
double | density
| Density of this peak. More...
int | class_id
| Determines which class this peak belongs. More...

## Detailed Description

This struct is used for storing peak.

Definition at line 58 of file implicit_shape_model.h.

## Member Data Documentation

## class_id

int pcl::ISMPeak::class_id

Determines which class this peak belongs.

Definition at line 67 of file implicit_shape_model.h.

Referenced by pcl::features::ISMVoteList< PointT >::findStrongestPeaks().

## density

double pcl::ISMPeak::density

Density of this peak.

Definition at line 64 of file implicit_shape_model.h.

Referenced by pcl::features::ISMVoteList< PointT >::findStrongestPeaks().

## PCL_ADD_POINT4D

pcl::ISMPeak::PCL_ADD_POINT4D

Point were this peak is located.

Definition at line 61 of file implicit_shape_model.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/implicit_shape_model.h